--- proxygen/lib/http/session/HTTPSession.cpp.orig	2022-12-25 16:00:33.000000000 +0700
+++ proxygen/lib/http/session/HTTPSession.cpp	2022-12-31 06:26:42.000000000 +0700
@@ -24,6 +24,10 @@
 #include <wangle/acceptor/ConnectionManager.h>
 #include <wangle/acceptor/SocketOptions.h>
 
+#ifdef __APPLE__
+# include <AvailabilityMacros.h>
+#endif
+
 using fizz::AsyncFizzBase;
 using folly::AsyncSocket;
 using folly::AsyncSocketException;
@@ -2027,7 +2031,7 @@
       transportInfo_.rtt = std::chrono::microseconds(tinfo->tcpinfo.tcpi_rtt);
     }
     transportInfo_.rtx = tinfo->rtx;
-#elif defined(__APPLE__)
+#elif defined(__APPLE__) && MAC_OS_X_VERSION_MIN_REQUIRED > 101003
     tinfo->recvwnd = tinfo->tcpinfo.tcpi_rcv_wnd
                      << tinfo->tcpinfo.tcpi_rcv_wscale;
 #endif
